org.eclipse.wst.jsdt.chromium.debug.core

## Class VProjectSourceContainer.TypeDelegate

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.VProjectSourceContainer.TypeDelegate

Enclosing class:
  VProjectSourceContainer

    public static class VProjectSourceContainer.TypeDelegate
    extends java.lang.Object

A type delegate that implements a trivial memento. We do not save any actual data here, because it all should be derived from a current VM launch.

### Constructor Summary

Constructors
Constructor and Description
`TypeDelegate()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ISourceContainer` `createSourceContainer(java.lang.String memento)`
`java.lang.String` `getMemento(ISourceContainer container)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TypeDelegate

    public TypeDelegate()

### Method Detail

#### createSourceContainer

    public ISourceContainer createSourceContainer(java.lang.String memento)
                                           throws CoreException

Throws:
  `CoreException`

#### getMemento

    public java.lang.String getMemento(ISourceContainer container)
                                throws CoreException

Throws:
  `CoreException`